[**smartclientcore**](README.md) • **Docs**

***

[smartclientcore](modules.md) / [constants/interfaces](constants/interfaces/README.md) / EnvironmentVars

# Interface: EnvironmentVars

## Properties

<a id="adcontainer" name="adcontainer"></a>

### adContainer

> **adContainer**: `null` \| `HTMLElement`

The element that should be used to deliver non-video creative files.
Defaulting to `null` if omitted.

***

<a id="desiredbitrate" name="desiredbitrate"></a>

### desiredBitrate

> **desiredBitrate**: `number`

Indicates the desired bitrate in kilobits per second (kbps). The player uses this
 information to select Mediafiles with an appropriate bitrate. Defaulting to `null`.

***

<a id="desiredmimetypes" name="desiredmimetypes"></a>

### desiredMimeTypes

> **desiredMimeTypes**: `string`[]

Declaration of accepted media types. Defaulting to types that the
 browser eventually is able to play if not set. Types must be compliant with the
 [IANA Media Type standard](https://www.iana.org/assignments/media-types/media-types.xhtml)

***

<a id="desiredvpaidvendors" name="desiredvpaidvendors"></a>

### desiredVPAIDVendors

> **desiredVPAIDVendors**: `string`[]

Declaration of accepted VPAID vendors (whitelist). Each specified
 String has to represent a unique identifier that can be found within the creative media file URL, most likely the
 domain name. If omitted, the plugin tries to deliver VPAID creatives from each vendor.

***

<a id="devicescreensize" name="devicescreensize"></a>

### deviceScreenSize

> **deviceScreenSize**: `null` \| `string`

Maximum size we can achieve when entering fullscreen.

***

<a id="devicetype" name="devicetype"></a>

### deviceType

> **deviceType**: `null` \| `string`

Can be either `mobile`, `tablet`, `desktop` or `tv`. Defaulting to `null`.

***

<a id="networkreachability" name="networkreachability"></a>

### networkReachability

> **networkReachability**: `null` \| `string`

Can be either `wan`, `wifi` or `unreachable`. Defaulting to `null`.

***

<a id="prefetchbuffetads" name="prefetchbuffetads"></a>

### prefetchBuffetAds

> **prefetchBuffetAds**: `boolean`

In order to replace invalid ads in a pod instantly at runtime, buffet ads from
 wrapper responses must be loaded up-front. `prefetchBuffetAds` determines whether stand-alone ads (buffet) will be
 loaded together with the pod of ads or not. Defaulting to `false` if omitted.

***

<a id="vastmacros" name="vastmacros"></a>

### vastMacros

> **vastMacros**: `object`

VAST macros and their values as defined in
 https://interactiveadvertisingbureau.github.io/vast/vast4macros/vast4-macros-latest.html
